Page MenuHomePhabricator

Support all of dnsmasqs server syntax.
Closed, ResolvedPublic

Description

--server=[/[<domain>]/[domain/]][<ipaddr>[#<port>][@<source-ip>|<interface>[#<port>]]

I need at least the domain part.

Details

Difficulty level
Easy (less than an hour)

Event Timeline

afics created this task.Apr 5 2016, 10:52 AM
afics updated the task description. (Show Details)
syncer claimed this task.Apr 6 2016, 10:40 PM
syncer triaged this task as Wishlist priority.
syncer added a project: VyOS 1.1.x.
syncer added a subscriber: syncer.

Hello,
@afics what do you want to do?
Like a pointing some domain to exact nameservers? somedomain.local for active directory pointed to domain controllers?
If so, forwarder already can do that

vyos@vyos# show service dns forwarding domain 
 domain telvent.somedomain.es {
     server 10.11.1.242
 }
afics closed this task as Resolved.Apr 7 2016, 7:01 PM

Sorry, I just didn't see, the feature was there :O